Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ALEFactory

All Known Implementing Classes:
  EngineALEFactory

public interface ALEFactory

A factory for creating instances of complex types used by the `ALE` API. Concrete implementations of the `ALE` interface will provide a method for obtaining an instance of this factory.

Method Summary
`ECCountReportOutputSpec` | `createECCountReportOutputSpec()` Deprecated. New methods available for defineing List or Count reports. See `ECReportSpec.setIncludeCount(boolean)`
`ECInterval` | `createECInterval()` Deprecated. New methods available for setting time intervals in ECSpec. ECInterval no longer required.
`ECInterval` | `createECInterval(int value, ECIntervalUnit unit)` Deprecated. New methods available for setting time intervals in ECSpec. ECInterval no longer required.
`ECListReportOutputSpec` | `createECListReportOutputSpec()` Deprecated. New methods available for creating List reports. See `ECReportSpec#setIncludeTag(boolean), ECReportSpec#setIncludeEPC(boolean), ECReportSpec#setIncludeRawHex(boolean),ECReportSpec#setIncludeRawDecimal(boolean)`
`ECReportSpec` | `createECReportSpec()` Create a new `ECReportSpec` instance.
`ECSpec` | `createECSpec()` Create a new `ECSpec` instance.
`ECSubscriptionControls` | `createECSubscriptionControls()` Create a new `ECSubscriptionControls` instance, with all fields initialized to zero, which requests that notification failures never cause a subscription to be unsubscribed.
`ECSubscriptionControls` | `createECSubscriptionControls(int count, long interval)` Create a new `ECSubscriptionControls` instance with the specified count and interval in milliseconds.

Method Detail

### createECSpec

    public ECSpec createECSpec()

  Create a new `ECSpec` instance. The returned instance has empty lists of logical reader names and report specifications, no start or stop trigger, and all intervals set to zero milliseconds.

### createECInterval

    public ECInterval createECInterval()

  Deprecated. New methods available for setting time intervals in ECSpec. ECInterval no longer required.

  Create a new `ECInterval` instance, initialized to zero milliseconds.

### createECInterval

    public ECInterval createECInterval(int value,
                                       ECIntervalUnit unit)

  Deprecated. New methods available for setting time intervals in ECSpec. ECInterval no longer required.

  Create a new `ECInterval` instance with the specified value and unit.

### createECReportSpec

    public ECReportSpec createECReportSpec()

  Create a new `ECReportSpec` instance. The returned instance has no name, no `ECReportSet`, no `ECReportOutputSpec`, `reportIfEmpty` and `isEssential` set to false, and has no include or exclude patterns.

### createECListReportOutputSpec

    public ECListReportOutputSpec createECListReportOutputSpec()

  Deprecated. New methods available for creating List reports. See `ECReportSpec#setIncludeTag(boolean), ECReportSpec#setIncludeEPC(boolean), ECReportSpec#setIncludeRawHex(boolean),ECReportSpec#setIncludeRawDecimal(boolean)`

  Create a new `ECListReportOutputSpec` instance.

### createECCountReportOutputSpec

    public ECCountReportOutputSpec createECCountReportOutputSpec()

  Deprecated. New methods available for defineing List or Count reports. See `ECReportSpec.setIncludeCount(boolean)`

  Create a new `ECCountReportOutputSpec` instance.

### createECSubscriptionControls

    public ECSubscriptionControls createECSubscriptionControls()

  Create a new `ECSubscriptionControls` instance, with all fields initialized to zero, which requests that notification failures never cause a subscription to be unsubscribed.

### createECSubscriptionControls

    public ECSubscriptionControls createECSubscriptionControls(int count,
                                                               long interval)

  Create a new `ECSubscriptionControls` instance with the specified count and interval in milliseconds.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD